# hedgedoc

![Version: 0.4.2](https://img.shields.io/badge/Version-0.4.2-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 1.9.9](https://img.shields.io/badge/AppVersion-1.9.9-informational?style=flat-square)

A platform to write and share markdown.

(Be aware: This is currently a PoC and not necessarily fit for all use-cases. It is mainly built for use with external PostgresQL databases.)

**Homepage:** <https://hedgedoc.org>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Sheogorath |  | <https://shivering-isles.com> |

## Source Code

* <https://github.com/hedgedoc/hedgedoc/tree/master>
* <https://git.shivering-isles.com/shivering-isles/infrastructure-gitops/-/tree/main/charts/hedgedoc>

## Requirements

| Repository | Name | Version |
|------------|------|---------|
| https://raw.githubusercontent.com/bitnami/charts/archive-full-index/bitnami | postgresql | 13.2.27 |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| config.allowFreeUrl | bool | `false` |  |
| config.defaultPermission | string | `"freely"` |  |
| config.domain | string | `nil` |  |
| config.email | bool | `false` |  |
| config.github.clientId | string | `nil` |  |
| config.github.clientSecret | string | `nil` |  |
| config.minio.accessKey | string | `nil` |  |
| config.minio.endpoint | string | `nil` |  |
| config.minio.port | int | `443` |  |
| config.minio.secretKey | string | `nil` |  |
| config.minio.secure | bool | `true` |  |
| config.oauth.accessRole | string | `nil` |  |
| config.oauth.authorisationUrl | string | `nil` |  |
| config.oauth.clientId | string | `nil` |  |
| config.oauth.clientSecret | string | `nil` |  |
| config.oauth.providerName | string | `nil` |  |
| config.oauth.roleClaim | string | `nil` |  |
| config.oauth.scope | string | `"openid email profile"` |  |
| config.oauth.tokenUrl | string | `nil` |  |
| config.oauth.userProfileDisplayName | string | `"name"` |  |
| config.oauth.userProfileEmailAttr | string | `"email"` |  |
| config.oauth.userProfileUrl | string | `nil` |  |
| config.oauth.userProfileUsername | string | `"preferred_username"` |  |
| config.protocolUseSsl | bool | `true` |  |
| config.s3bucket | string | `"hedgedoc"` |  |
| config.session.lifeTime | int | `36000000` |  |
| config.session.secret | string | `nil` |  |
| config.urlAddPort | bool | `false` |  |
| config.useCdn | bool | `false` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` | configures image pull policy for hedgedoc deployment |
| image.repository | string | `"quay.io/hedgedoc/hedgedoc"` |  |
| image.tag | string | `""` | Overrides the image tag whose default is the chart appVersion. |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.className | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"hedgedoc.example.com"` |  |
| ingress.hosts[0].paths[0].path | string | `"/"` |  |
| ingress.hosts[0].paths[0].pathType | string | `"ImplementationSpecific"` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext.allowPrivilegeEscalation | bool | `false` |  |
| podSecurityContext.capabilities.drop[0] | string | `"ALL"` |  |
| podSecurityContext.fsGroup | int | `10000` |  |
| podSecurityContext.seccompProfile.type | string | `"RuntimeDefault"` |  |
| postgresql.auth.database | string | `"hedgedoc"` |  |
| postgresql.auth.existingSecret | string | `""` |  |
| postgresql.auth.password | string | `""` |  |
| postgresql.auth.username | string | `"hedgedoc"` |  |
| postgresql.enabled | bool | `true` |  |
| postgresql.tls.enabled | bool | `false` |  |
| resources | object | `{}` |  |
| securityContext.readOnlyRootFilesystem | bool | `true` |  |
| securityContext.runAsNonRoot | bool | `true` |  |
| securityContext.runAsUser | int | `10000` |  |
| service.port | int | `80` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` | Annotations to add to the service account |
| serviceAccount.create | bool | `true` | Specifies whether a service account should be created |
| serviceAccount.name | string | `""` | The name of the service account to use. If not set and create is true, a name is generated using the fullname template |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.12.0](https://github.com/norwoodj/helm-docs/releases/v1.12.0)
