# UPS

The Uninterruptible Power Supply (UPS) is a battery buffered power plug. It help to cover short energy outages as well as providing over current protection to devices behind it. As a bonus, it also provides some metrics, which can be used to measure the overall power draw of devices attached.

## Parts

|Part | Type | Reasoning |
|-----|------|-----------|
| ["APC Back-UPS 850VA"](https://www.apc.com/de/de/product/BE850G2-GR/apc-backups-850va-230v-usb-typc-und-a-ladeanschl%C3%BCsse-batterie-12v-9-0ah/?parent-subcategory-id=88975) | UPS | It's a relatively cheap and simple UPS. Does its job and provides enough capacity to keep everything running for roughly 20 minutes. |

## Setup

The UPS provides 8 sockets in total, 6 of them are battery buffered and provide overcurrent protection, the remaining two only have overcurrent protection.

The current layout with the UPS' power cord leaving at the bottom.

| Left | Right |
|------|-------|
| empty | NAS |
| empty | infra power socket (Nodes, network, …) |
| empty | empty |
| empty | Office tools (Notebook, Monitors, …) |

There went no further thought in the arrangement beyond: Laptops have their own battery and when the monitors turn of, it won't hurt. Everything else should continue to operate.

The UPS itself is connected using a USB to serial cable to the USB-Port of the NAS, which distributes the state of the UPS over using ["Network UPS Tools"](https://networkupstools.org/) (NUT) and is monitored using [nut-exporter](https://github.com/DRuggeri/nut_exporter), which is running in the Kubernetes cluster.

## Power usage

The is currently no measurement for the power usage of the UPS itself. Device that are battery buffered are currently using between 100 and 120 watts of power according to stats collected with nut-exporter.
